<?php

/*
|--------------------------------------------------------------------------
| User class
|--------------------------------------------------------------------------
|
| These are the API routes corresponding to user.
|
*/

// Owner
Route::get('/api/rpc/user/owner/countownersofentry/{id}', 'UserController@countOwnersOfEntry');
Route::get('/api/rpc/user/owner/getownersofentry/{id}', 'UserController@getOwnersOfEntry');
Route::get('/api/rpc/user/owner/countentriesofowner/{id}', 'UserController@countEntriesOfOwner');
Route::get('/api/rpc/user/owner/getentriesofowner/{id}', 'UserController@getEntriesOfOwner');
Route::get('/api/rpc/user/owner/getownerlist', 'UserController@getOwnerList');
Route::post('/api/rpc/user/owner/addowner', 'UserController@addOwner');

// User
Route::get('/api/rpc/user/user/getusersonline', 'UserController@getUsersOnline');
Route::post('/api/rpc/user/user/updateuseronline', 'UserController@updateUserOnline');
Route::get('/api/rpc/user/user/getusers', 'UserController@getUsers');
Route::get('/api/rpc/user/user/getuser/{id}/{uid}', 'UserController@getUser');
Route::get('/api/rpc/user/user/getuser/{id}', 'UserController@getUser');
Route::get('/api/rpc/user/user/getexist/{username}/{email}', 'UserController@getExist');
Route::get('/api/rpc/user/user/getpoststyle/{id}', 'UserController@getPostStyle');
Route::get('/api/rpc/user/user/getgroupname/{id}', 'UserController@getGroupName');
Route::get('/api/rpc/user/user/getgroupcolours', 'UserController@getGroupColours');
Route::get('/api/rpc/user/user/gettotalpostcount/{id}', 'UserController@getTotalPostCount');
Route::get('/api/rpc/user/user/gettotaltopiccount/{id}', 'UserController@getTotalTopicCount');
Route::post('/api/rpc/user/user/updatetotalpostcount', 'UserController@updateTotalPostCount');
Route::post('/api/rpc/user/user/updatetotaltopiccount', 'UserController@updateTotalTopicCount');
