<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

require(__DIR__.'/class/board.php');
// require(__DIR__.'/class/document.php');
// require(__DIR__.'/class/image.php');
// require(__DIR__.'/class/odb.php');
// require(__DIR__.'/class/page.php');
require(__DIR__.'/class/store.php');
require(__DIR__.'/class/user.php');

// Permissions
Route::get('/api/rpc/permission/getpermissionsfrommodule', 'PermissionController@getPermissionsFromModule');
Route::get('/api/rpc/permission/getpermissionfrommodule/{id}', 'PermissionController@getPermissionFromModule');
Route::get('/api/rpc/permission/getpermissions/{mdl}', 'PermissionController@getPermissions');
Route::get('/api/rpc/permission/getpermissiongroup/{mdl}/{id}', 'PermissionController@getPermissionGroup');
Route::get('/api/rpc/permission/getpermissionuser/{mdl}/{id}', 'PermissionController@getPermissionUser');

// Bash
Route::get('/', function () {
    return view('cli');
});

require(__DIR__.'/class/bash.php');